package com.esignlive.guidance.sdk;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.SenderInfo;
import com.silanis.esl.sdk.builder.DocumentBuilder;
import com.silanis.esl.sdk.builder.PackageBuilder;
import com.silanis.esl.sdk.builder.SenderInfoBuilder;
import com.silanis.esl.sdk.builder.SignatureBuilder;
import com.silanis.esl.sdk.builder.SignerBuilder;

public class TimeZoneSetting {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";
	public static final String FILE_PATH = "your_file_path";
	private static final EslClient eslClient = new EslClient(API_KEY, API_URL);

	public void senderTimeZone() {
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
		//update existing sender's time zone
		SenderInfo updatedSender = SenderInfoBuilder.newSenderInfo("existing_sender_email")
				.withTimezoneId("JST")
				.build();
		eslClient.getAccountService().updateSender(updatedSender, "existing_sender_id");
	}

	public void packageTimeZone() {
		DocumentPackage pkg = PackageBuilder.newPackageNamed("Test Time Zone")
		        .withSigner(SignerBuilder.newSignerWithEmail("signer1@mailinator.com" )
		                .withFirstName("signer1 firstname")
		                .withLastName("signer1 lastname")
		                )
		        .withDocument(DocumentBuilder.newDocumentWithName("document 1")
		        		.fromFile(FILE_PATH)
		        		.withSignature(SignatureBuilder.signatureFor("signer1@mailinator.com")
		        				.onPage(0)
		        				.atPosition(100, 300)
		        				.withSize(200, 75))
		                )
		        .withTimezoneId("America/Toronto")
		        .build();
		 
		PackageId packageId = eslClient.createPackageOneStep(pkg);
		eslClient.sendPackage(packageId);

	}

	public static void main(String[] args) throws Exception {
		TimeZoneSetting instance = new TimeZoneSetting();
		instance.senderTimeZone();
		//instance.packageTimeZone();
	}

}
